\name{miclust-inl}
\alias{miclust-internal}
\alias{assignProbAndKappas}
\alias{centerDataBase}
\alias{centroid}
\alias{doClusterkmeans}
\alias{doClusterkmeansBackward}
\alias{doClusterkmeansForward}
\alias{doClusterkmeansForwardHc}
\alias{doClusterkmeansForwardRand}
\alias{doClusterkmeansNone}
\alias{euclidean}
\alias{euclideancolMeansMetric}
\alias{euclideancolMediansMetric}
\alias{getCritCFkcca}
\alias{getInitialCentroids}
\alias{manhattan}
\alias{manhattancolMeansMetric}
\alias{manhattancolMediansMetric}
\alias{relabelClusters}
\alias{standardizeDataBase}

\title{Internal miclust functions}
\description{Internal miclust functions}
\usage{
assignProbAndKappas(variables, k, metricCent, data, initialCluster)
centerDataBase(DataBase)
centroid(DataBase, Cluster, centPos)
doClusterkmeans(search, DataBase, k, metricCent, inertiaPower = 1, maxVars = NULL, centPos, initCl, seed)
doClusterkmeansBackward(DataBase, k, metricCent, inertiaPower = 1, centPos, initCl, seed)
doClusterkmeansForward(DataBase, k, metricCent, inertiaPower = 1, maxVars, centPos, initCl, seed)
doClusterkmeansForwardHc(DataBase, k, metricCent, inertiaPower = 1, maxVars, centPos, seed)
doClusterkmeansForwardRand(DataBase, k, metricCent, inertiaPower = 1, maxVars, centPos, seed)
doClusterkmeansNone(DataBase, k, metricCent, inertiaPower = 1, centPos, initCl, seed)
euclidean(x, centers)
data(euclideancolMeansMetric)
data(euclideancolMediansMetric)
getCritCFkcca(kmeansFitted, inertiaPower)
getInitialCentroids(DataBase, Ncentr)
manhattan(x, centers)
data(manhattancolMeansMetric)
data(manhattancolMediansMetric)
relabelClusters(refCluster, Cluster)
standardizeDataBase(DataBase)
}

\details{These functions are not to be called by the user.}
\keyword{internal}
