getInitialCentroids <-
function(DataBase, Ncentr)
 {
  Mins <- apply(DataBase, 2, FUN=function(x) min(x, na.rm=TRUE))
  Maxs <- apply(DataBase, 2, FUN=function(x) max(x, na.rm=TRUE))  
  InitialCentroidsMatrix <- as.data.frame(matrix(nrow=Ncentr, ncol=dim(DataBase)[2]))
  names(InitialCentroidsMatrix) <- names(DataBase)
  for (i in 1:dim(DataBase)[2])
    InitialCentroidsMatrix[, i] <- runif(n=nrow(InitialCentroidsMatrix), min=Mins[i], max=Maxs[i])    
  InitialCentroidsMatrix
 }
