standardizeDataBase <-
function(DataBase)
 {
  Xs <- as.matrix(centerDataBase(DataBase))
  p <- ncol(DataBase)
  for (i in 1:p)
   {
    x <- Xs[, i]
    if (length(levels(factor(x))) > 2)
      Xs[, i] <- x/sd(x, na.rm=TRUE)
    if (length(levels(factor(x))) == 2)
      Xs[, i] <- x/(max(x, na.rm=TRUE) - min(x, na.rm=TRUE))
   }
  Xs <- as.data.frame(Xs)
  names(Xs) <- names(DataBase)
  Xs
 }
