\name{miclust-package}
\alias{miclust-package}
\docType{package}
\title{Multiple imputation in cluster analysis.}
\description{This package implements cluster analysis with selection of the final number of clusters and an optional variable selection procedure. The package is designed to integrate the results of multiple imputed datasets while accounting for the uncertainty that the imputations introduce in the final results. In addition, the package can also be used for a cluster analysis of the complete cases of a single database. The package also includes specific functions to summarize and plot the results.}
\details{
\tabular{ll}{
Package: \tab miclust\cr
Type: \tab Package\cr
Version: \tab 1.2.5\cr
Date: \tab 2014-03-10\cr
License: \tab GPL (>=2)\cr
}
}
\author{
Jose Barrera-Gomez and Xavier Basagana.

Maintainer: Jose Barrera-Gomez <jbarrera@creal.cat>
}
\references{
Basagana X, Barrera-Gomez J, Benet M, Anto JM, Garcia-Aymerich J. A framework for multiple imputation in cluster analysis. American Journal of Epidemiology. 2013;177(7):718-25.}
